Name:           dunst
Version:        1.9.0
Release:        %mkrel 1
Summary:        Customizable and lightweight notification-daemon
License:        BSD
Group:          Graphical desktop/Other
URL:            https://dunst-project.org/
Source0:        https://github.com/dunst-project/dunst/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(libxdg-basedir)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(gdk-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(wayland-client)

%description
Dunst is a lightweight replacement for the notification-daemons provided
by most desktop environments. It's very customizable, doesn't depend on
any toolkits and therefore fits in those windowmanager centric setups
we all love to customize to perfection.

%prep
%setup -q

%build
%set_build_flags
%make_build SYSCONFDIR=%{_sysconfdir}/xdg VERSION=%{version}

%install
%make_install PREFIX=%{_prefix} SYSCONFDIR=%{_sysconfdir}/xdg

# create directory for config drop-in files
install -d -m 0755 -pv %{buildroot}%{_sysconfdir}/xdg/%{name}/dunstrc.d

%files
%doc RELEASE_NOTES README.md CHANGELOG.md AUTHORS
%license LICENSE
%dir %{_sysconfdir}/xdg/%{name}
%dir %{_sysconfdir}/xdg/%{name}/dunstrc.d
%config(noreplace) %{_sysconfdir}/xdg/%{name}/dunstrc
%{_bindir}/%{name}
%{_bindir}/dunstctl
%{_bindir}/dunstify
%{_datadir}/dbus-1/services/org.knopwob.dunst.service
%{_userunitdir}/%{name}.service
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/dunstctl.1.*
%{_mandir}/man5/%{name}.5.*


%changelog
* Sun Nov 20 2022 daviddavid <daviddavid> 1.9.0-1.mga9
+ Revision: 1909617
- new version: 1.9.0

* Thu Mar 31 2022 umeabot <umeabot> 1.6.1-2.mga9
+ Revision: 1836196
- Mageia 9 Mass Rebuild

* Thu Mar 11 2021 daviddavid <daviddavid> 1.6.1-1.mga9
+ Revision: 1701295
- new version: 1.6.1

* Sat Dec 26 2020 daviddavid <daviddavid> 1.5.0-1.mga8
+ Revision: 1663801
- new version: 1.5.0

* Sat Feb 15 2020 umeabot <umeabot> 1.4.1-2.mga8
+ Revision: 1527236
- Mageia 8 Mass Rebuild

* Sat Jul 13 2019 daviddavid <daviddavid> 1.4.1-1.mga8
+ Revision: 1420858
- new version: 1.4.1

* Sat Apr 13 2019 daviddavid <daviddavid> 1.4.0-1.mga7
+ Revision: 1389595
- new version: 1.4.0

* Sun Sep 23 2018 umeabot <umeabot> 1.3.2-2.mga7
+ Revision: 1297524
- Mageia 7 Mass Rebuild

* Sat May 19 2018 daviddavid <daviddavid> 1.3.2-1.mga7
+ Revision: 1230446
- new version: 1.3.2

* Tue Feb 27 2018 daviddavid <daviddavid> 1.3.1-1.mga7
+ Revision: 1205422
- new version: 1.3.1

* Sun Jan 07 2018 daviddavid <daviddavid> 1.3.0-1.mga7
+ Revision: 1191170
- new version: 1.3.0

* Sat Nov 25 2017 daviddavid <daviddavid> 1.2.0-1.mga7
+ Revision: 1179214
- new version: 1.2.0
- update URL and Source URL

* Thu Feb 11 2016 umeabot <umeabot> 1.1.0-2.mga6
+ Revision: 953801
- Mageia 6 Mass Rebuild

* Tue Jul 28 2015 daviddavid <daviddavid> 1.1.0-1.mga6
+ Revision: 858428
- new version: 1.1.0
- update doc file list

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 751217
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 678880
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-2.mga4
+ Revision: 529948
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 boklm <boklm> 1.0.0-1.mga4
+ Revision: 454387
- imported package dunst

